Error en la actualización del proyecto de Google Play Services en Android Studio

actualmente estoy intentando importar los servicios de Google Play para mi proyecto de Android que se crea con Android Studio. Ahora, he leído la parte donde debería empezar desde aquí y ya que este todavía está usando Eclipse terminé en estos pasos. Ahora, al añadir los Servicios de Google Play en mi aplicación, recibo un error diciendo:

Falló la renovación del proyecto 'MyApp' de Gradle: No se encontró com.google.android.gms: play-services: 5.0.77. Requerido por: MyApp: myapp: no especificado

Así que intenté cambiar las versiones en esta línea:

compilar 'com.google.android.gms: play-services: 5.0.77'

dentro:

compile 'com.google.android.gms:play-services:5.0.+', compile 'com.google.android.gms:play-services:4+', compile 'com.google.android.gms:play-services:4.0.+', 

así sucesivamente, pero sigue recibiendo el mismo error (sólo la versión cambia).

En cuanto a la referencia de mi Android Studio versión es actualmente @ 0.5.2 (no puedo actualizar aún) Grado ver 0.9. +.

Y la captura de pantalla de mis paquetes instalados en Android SDK Manager:

introduzca la descripción de la imagen aquí

Ahora me pregunto dónde está exactamente mi problema. Además, no quiero descargar un archivo JAR de Google Play Services para resolver esto. Quiero quedarme en la forma oficial de implementar esto en Android Studio. :RE

Instale Google Repository desde SDKManager. Si no puede encontrar Google Repository , actualice sus SDK Tools SDK Platform Tools , SDK Platform Tools y SDK Build Tools en la sección Herramientas.

  • Error del compilador JACK de Android después de la actualización a la última biblioteca de soporte
  • ¿Por qué debo incluir una dependencia de gradle como `@ aar`
  • Eliminar localizaciones no utilizadas de APK
  • Gradle: ¿Cómo personalizar los permisos de Manifiesto de Android?
  • ¿Cómo puedo importar com.google.android.gms. * En Android Studio usando una compilación Gradle?
  • Falta dependencias de la biblioteca de Android de POM con Gradle
  • JAVA_HOME se establece en un directorio no válido mientras se ejecuta ./gradlew en OSX
  • Android Studio 3.0, compilación AAPT2 falló - dimen no válido en el archivo de recursos
  • ¿Cómo determinar la versión de Gradle?
  • Sabores de un proyecto
  • Compilar y usar binarios ejecutables dependientes de ABI en Android con Android Studio 2.2 y CMake
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.